#!/usr/bin/env node
/**
 * 本模块用来为卸载第三方依赖
 * 
 */
//色彩
const colors = require('colors');
 let path = require('path');
 let cmd = 'npm uninstall';
 let cwd = process.cwd();
 let opt = {
     cwd: cwd
 }
 
 let package = require(path.join(cwd, "./package.json"));
 let exec = require('child_process').exec;
 
 let devDependencies = Object.keys(package.devDependencies);
 let dependencies = Object.keys(package.dependencies);
 
 console.log(dependencies);
 console.log(devDependencies);
 
 
 let index = 0;
 let length = dependencies.length;
 console.log(`命令运行地址：${process.cwd()}`)
 console.log("准备卸载第三方依赖...");
 
 //第2步递归调用
 const execDevFun = (_index) => {
 
     if (_index < length) {
         exec(`${cmd} ${devDependencies[_index]} --save-dev`, opt, (error, stdout, stderr) => {
             if (error) {
                 console.error((`卸载依赖执行失败${devDependencies[_index]}`).red);
                 console.error(error);
                 return;
             }
             console.log((`卸载依赖执行成功${devDependencies[_index]}`).green);
             /* console.log("标准输出设备");
             console.log(stdout);
             console.log("标准错误输出设备");
             console.log(stderr); */
             index++;
             execDevFun(index);
         })
     }
 }
 //第1步递归调用
 const execDepFun = (_index) => {
 
     if (_index < length) {
         exec(`${cmd} ${dependencies[_index]} --save`, opt, (error, stdout, stderr) => {
             if (error) {
                console.error((`卸载依赖执行失败${dependencies[_index]}`).red);
                 console.error(error);
                 return;
             }
             console.log((`卸载依赖执行成功${dependencies[_index]}`).green);
             /* console.log("标准输出设备");
             console.log(stdout);
             console.log("标准错误输出设备");
             console.log(stderr); */
             index++;
             execDepFun(index);
         })
     } else {
         index = 0;
         length = devDependencies.length;
         execDevFun(index);
     }
 }
 execDepFun(index)