#!/usr/bin/env node
/**
 * 本模块用来为卸载第三方依赖
 * 
 */
 let path = require('path');
//  let devDependencies = require(path.join(process.cwd(), "./package.json")).devDependencies;
 let exec = require('child_process').exec;
 
 let cwd = path.join(__dirname,"../");
 let cmd = `webpack --progress --color --config ${cwd}/build/webpack.dll.js`;
 let opt = {
     cwd: process.cwd()
 }
 console.log(`命令运行地址：${cwd}`)
 console.log("准备打包第三方依赖...");
 exec(`${cmd}`, opt, (error, stdout, stderr) => {
     if (error) {
         console.error("打包dll执行失败");
         console.error(error);
         return;
     }
     console.log("打包dll执行成功");
     /* console.log("标准输出设备");
     console.log(stdout);
     console.log("标准错误输出设备");
     console.log(stderr); */
 })