
/*
 * 这个文档为了设置接口，真实接口和mock接口
 * true开启mock接口 false关闭mock接口
 * InterfaceSwitch全局启用mock
 * InterfaceList，当全局mock开启时，每个接口是否使用mock或是真实
 * */

export const InterfaceSwitch = true;
export const InterfaceList = {
  //功能菜单
    AppStore:true,
    //地图关系-应用
    AppsFindCitysAppsFlow:true,
    //部分下拉菜单
    ListPark:true,
    //某一链路
    FindLink:true,
    //总体概览-首页
    FindAllCount:true,
    //链路质量-首页
    FindScoreLinks:true,
    //重点应用-首页
    FindCoreApps:true,
    //用户流量-首页
    FindCoreUsers:true,
    //网络流量趋势-首页
    FindFlowLink:true,
    //带宽占用率-首页
    FindWideLink:true,
    //告警列表-首页
    FindTopLinks:true,
    //智能分析-首页
    FindLevelLinks:true,
    //不规则跳转
    AppsFindAppsUrl:true,
    //应用告警总数-应用
    AlarmsAppsFindAppsCount:true,
    //应用总数-应用
    AppsFindAppsCount:true,
    //应用流量TOP10
    FindFlowTopApps:true,
    //应用告警趋势
    FindAlarmApps:true,
    //应用评分
    FindScoreApps:true,
    //应用访问量
    FindAccessTopApps:true,
    //部门应用数量
    FindAppsCount:true,
    //部门应用列表
    FindAppsList:true,
    //告警列表-应用
    AppsFindTopLinks:true,
    // 告警管理-设备告警表格
    EquipmentAlarmList:true,
    // ip管理表格
    IpManageList:true,
    // ip管理-新增
    IpManageAdd:true,
    // ip管理-修改
    IpManageEdit:true,
    // ip管理-删除
    IpManageDelete:true,
    //ip分配列表
    IpDistributionList:true,
    // IP地址管理-获取IP规划信息
    IpdisWdinfo:true,
    // 资产基本信息-ip查询
    AssetManagementList:true,
    // 资产管理-分页表格
    AssetManagementTable:true,
    // 资产管理-搜索查询
    AssetManagementTableSearch:true,
    // 资产管理-设为基线
    SetBaseLine:true,
    // 资产管理-删除
    AssetManagementDelete:true,
    // 子网掩码下拉框
    SubnetOptions:true,
    // IP地址管理-获取IPS信息
    IpdisGetips:true,
    // ip规划菜单树
    IpglDzzycdglTree:true,
    // 新增ip规划菜单树
    IpglDzzycdglCreate:true,
    // 更新ip规划菜单树
    IpglDzzycdglUpdate:true,
    // 删除ip规划菜单树
    IpglDzzycdglDelete:true,
    //新增资产信息
    AssetManagementAdd:true,
    //修改资产信息
    AssetManagementEdit:true,
 /*    //根据id查询资产信息
    AssetManagementSearch:true, */
    //资产信息详情
    AssetManagementInfo:true,
    //单位下拉框
    QueryUnitList:true,
    //工作状态下拉框
    QueryStatus:true,
    //资产类别下拉框
    QueryType:true,
    // 获取资产树列表
    AssetsZcCdxxbQueryMenu:true,
    // 新增资产树节点
    AssetsZcCdxxbCreate:true,
    // 删除选中的资产树
    AssetsZcCdxxbDelete:true,
    // 更新资产树
    AssetsZcCdxxbUpdate:true,
    // 告警类型下拉
    QueryAlarmType:true,
    // 骨干设备数
    GetDeviceCount:true,
    // 骨干网链路数
    GetNetsegmentCount:true,
    // 链路告警数量
    GetNetsegmentAlarmCount:true,
    // 设备告警数量
    GetNetsegmentDeviceCount:true,
    // 带宽占用率TOP10
    GetNetsegmentWide:true,
    // 设备类型
    GetDeviceCategory:true,
    // 链路-基本信息
    getNetsegmentInformation:true,
    // 链路-流量分析
    getNetsegmentFlowAnalysis:true,
    // 链路-异常流量分析时间段
    getAbnormalFlow:true,
    //网络态势 CPUTOP10
    NetworkCpuTop:true,
    //网络态势 链路流量top10
    NetworkLinkTrafficTop:true,
    // 网络态势 内存使用TOP10
    GetDeviceMemory:true,
    // 网络态势-链路告警概况
    LinkWarn:true,
    LinkWarnll:true,
    // 角色管理-表格
    RoleManagementTable:true,
    // 角色管理-删除
    RoleManagementDelete:true,
    // 用户管理-表格
    UserManagementTable:true,
    // 用户管理-删除
    UserManagementDelete:true,
    // 组织机构管理-表格
    OrgManagementTable:true,
    // 组织机构管理-删除
    OrgManagementDelete:true,
    //组织机构新增
    SystemManageAdd:true,
    //组织机构修改
    SystemManageEdit:true,
    //组织机构根据id查询
    SystemManageQuery:true,
    // 拓扑基本信息查询
    TopoBaseinfo:true,
    //拓扑树
    TopologyTpglTpcdTreeList:true,
    //拓扑获取所有组件资源
    TopologyTpglTpzjzybGetAllZjzy:true,
    //新增拓扑组件信息
    TopologyTpglTpzjxxCreate:true,
    TpglTpjcxxUpdate:true,
    //根据资产类别获取资产列表
    AssetsZcZcjbxxGetZcpz:true,
    //根据拓扑组件资源id查询资产信息
    TopologyTpglTpzjxxGetZcxx:true,
    //获取展示的指标信息
    TopologyTpglTpzjzbGetAllZbxx:true,
    //拓扑线段弹窗指标
    TopologyTpglTpzjzbGetZbll:true,
    //网络态势感知图
    TopologyTpglTpjcxx:true,
    RoleSelect:true,
    // 获取所有权限
    GetRoleList:true,
    //用户态势-用户得分指标
    NetClientScore:true,
    //用户态势-在线用户-会话总数-用户告警
    NetClientUsers:true,
    //用户态势-用户比特率(进网/出网)top10
    NetClientBitps:true,
    //用户态势-重点用户组访问质量
    NetClientAccess:true,
    //用户态势-用户总流量（进网/出网）top10
    NetClientTraffic:true,
    //用户态势-用户重传率
    NetClientRetransmission:true,
    //用户态势-用户组列表
    NetClientOrgs:true,
    //用户态势-用户访问应用平均时延
    NetClientApplicationDelay:true,
    //用户态势-重点用户通讯质量排名
    NetClientCommunication:true,
    NetClientAlarm:true,
};
